Installer - Bug #33089

Don't store plugin_prefix (and hammer_plugin_prefix) in answers
07/21/2021 09:21 AM - Evgeni Golov

Status: Closed
Priority: Normal
Description

Today, we expose plugin_prefix and hammer_plugin_prefix as params in puppet-foreman, which means these get stored as
answers.

However, this means that one can't restore a backup from a different OS (like from EL7 on ELB8), as the prefix changes (tfm-rubygem
— rubygem).

| think that users rarely (read: never) have to override our automatic detection of the prefix, so we should move that out of params
(and answers).

For the rare case of a user needing to override this, we shall allow that via an "foreman::globals” class, that can be overriden via
hiera.

See https://github.com/theforeman/puppet-foreman_proxy/commit/935d45ab53e59fab5424a60eb54b29ccf6b666313 for an related
example in puppet-foreman_proxy

Related issues:
Related to Installer - Bug #33106: Move more variables from in puppet-foreman... Closed

Associated revisions

Revision 08254ece - 07/22/2021 08:10 AM - Evgeni Golov

Fixes #33089 - move (hammer_)plugin_prefix to globals

History

#1 - 07/21/2021 10:15 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman/pull/974 added

#2 - 07/22/2021 08:10 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#3 - 07/22/2021 08:14 AM - Evgeni Golov
- Related to Bug #33106: Move more variables from in puppet-foreman to globals.pp added

#4 - 07/22/2021 09:08 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|08254ece967e3dc9874027477dfe209e6b458f49.

#5 - 08/06/2021 04:52 PM - Amit Upadhye
- Category set to Foreman modules

- Target version set to 3.0.0
